<%@include file="header.jsp" %>
<%@page import="agilpizza.modelo.*"%>
<%@page import="agilpizza.Constantes"%>

<%
Boolean fechandoPedido = (Boolean) session.getAttribute("fechandoPedido");
String nomeSubmit = "Enviar";
if (fechandoPedido != null && fechandoPedido) {
	nomeSubmit = "Fechar pedido";
}

String nome = "";
String telefone = "";
String email = "";
String rua = "";
String numero = "";
String complemento = "";
String bairro = "";
String cep = "";

Pedido pedido = (Pedido) session.getAttribute(Constantes.PEDIDO);
if (pedido != null) {
	Cliente cliente = pedido.getCliente();
	if (cliente != null) {
		Endereco end = cliente.getEndereco();
		nome = cliente.getNome();
		telefone = cliente.getTelefone();
		email = cliente.getEmail();
		rua = end.getRua();
		numero = end.getNumero();
		complemento = end.getComplemento();
		bairro = end.getBairro();
		cep = end.getCep();
	}
}
%>

<form action="anotarCliente" method="POST">
	Nome: <input type="text" name="nome" value="<%= nome %>"/><br/>
	Telefone: <input type="text" name="telefone" value="<%= telefone %>"/><br/>
	Email: <input type="text" name="email" value="<%= email %>"/><br/>
	<br/>
	Rua: <input type="text" name="rua" value="<%= rua %>"/><br/>
	Número: <input type="text" name="numero" value="<%= numero %>"/>
	Complemento: <input type="text" name="complemento" value="<%= complemento %>"/><br/>
	Bairro: <input type="text" name="bairro" value="<%= bairro %>"/><br/>
	CEP:  <input type="text" name="cep" value="<%= cep %>"/><br/>
	<input type="submit" value="<%= nomeSubmit %>"/>
</form>

<%@include file="footer.jsp" %>